<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="back()">
            <mat-icon class="mt-6 mb-6 " style="color: #0038FF;">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-16" style="color: #0038FF;">Back</span>
        </div>
        <div>
            <mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
        </div>
    </div>

    <div class="font-Semibold-40 mt-8 mb-8" style="text-align:center !important;">
        <div>Enter PIN</div>
    </div>

    <div class="w-full py-4 items-top text-top sm:w-auto mx-auto px-4 sm:shadow bg-card box-width">
        <div class="w-full max-w-100 sm:w-90 mx-auto sm:mx-0">
            <!-- Main -->
            <div class="flex-auto p-6 ">
                <!-- CONTENT GOES HERE -->
                <div
                    class="relative flex flex-col flex-auto items-center justify-center font-Regular-16 font-7B7B7B mb-5">
                    Please
                    enter your PIN to proceed</div>
                <ngx-pincode [hideChrs]="true" type="number" [size]="6" (completed)="pincodeCompleted($event)">
                </ngx-pincode>

                <div class="flex items-center mt-7">
                    <div class="flex-auto mt-px"></div>
                    <a class="ml-1 font-Regular-14 font-0038ff hover:underline" (click)="forgotPin()">
                        Forgot Your
                        PIN?
                    </a>
                    <div class="flex-auto mt-px"></div>
                </div>

                <!-- Alert -->
                <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type" [@shake]="alert.type === 'error'"
                    class="justify-center">
                    {{alert.message}}
                </fuse-alert>

                <div>
                    <button class="fuse-mat-button-medium w-full mt-7 button-r5" mat-flat-button (click)="verifyPin()"
                        [disabled]="disableButton">
                        Continue
                        <mat-progress-spinner *ngIf="" [diameter]=" 24" [mode]="'indeterminate'">
                        </mat-progress-spinner>
                    </button>
                </div>


            </div>
        </div>
    </div>
</div>